React UI Components Documentation
Typescript React FormattedInput Component
This tutorial will show you the basics of how to get started with the jQWidgets FormattedInput React Component.
Prerequisites
Refer to Getting Started with React before you start with this help topic.
Structure
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput';
II. Class:
class App extends React.PureComponent<{}, IFormattedInputProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxFormattedInput width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
Events
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IFormattedInputProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxFormattedInput onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
Methods & Properties
This is how you call methods & props:
//Get Methodsconst value = this.myFormattedInput.current!.methodName(arg1, arg2); //Set Methodsthis.myFormattedInput.current!.methodName(arg1, arg2); //Get Propertiesconst height = this.state.height; //Set Propertiesthis.setState({ height: 250 });
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.myFormattedInput.current!.setOptions({ width: 350, height: 400 });
Every component also have a method getOptions which returns the value of the requested option.
FormattedInput API
API Reference of the jQWidgets FormattedInput React Component: FormattedInput API
FormattedInput Demos
Demos Reference of the jQwidgets FormattedInput React Component: FormattedInput Demos

Angular UI Components Documentation

Angular FormattedInput Component

The FormattedInput component for Angular represents an input widget for entering numbers in the binary, octal, decimal or hexadecimal numeral systems.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxFormattedInput [theme]="'fluent'" 
    [width]="250" [height]="25" [radix]="'decimal'"
    [value]="15" [spinButtons]="true" [dropDown]="true">
</jqxFormattedInput>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxFormattedInputModule, jqxFormattedInputComponent } from 'jqwidgets-ng/jqxformattedinput';
@Component({
    selector: 'app-root',
    imports: [jqxFormattedInputModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {

}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

FormattedInput API

API Reference of the jQWidgets FormattedInput component for Angular: FormattedInput API

Vue UI Components Documentation
Vue FormattedInput Component
The FormattedInput component for Vue represents an input widget for entering numbers in the binary, octal, decimal or hexadecimal numeral systems.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The FormattedInput component for Vue requires the following import:
import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue";
Add the jqxFormattedInput component to the components section of the the Vue class:
components: { JqxFormattedInput },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxFormattedInput/>
<template> <JqxFormattedInput :width="250" :height="25" :radix="radix" :value="value" :spinButtons="true" :dropDown="true"> </JqxFormattedInput></template>
Properties
The properties of the <JqxFormattedInput/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { radix: 'decimal', value: 15 }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxFormattedInput @open="onOpen()" :width="250" :height="25" :radix="radix" :value="value" :spinButtons="true" :dropDown="true"></JqxFormattedInput>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onOpen: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxFormattedInput ref="formattedinput"></JqxFormattedInput>
Here how you can use a component's method:
this.$refs.formattedinput.selectFirst();
methods: { // Add here all used callbacks and/or events onOpen: function () { // Do something... this.$refs.formattedinput.selectFirst(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxFormattedInput ref="formattedinput" @open="onOpen()" :width="250" :height="25" :radix="radix" :value="value" :spinButtons="true" :dropDown="true"> </JqxFormattedInput></template> <script> // Import the components that will be used import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; export default { components: { // Adding imported widgets here JqxFormattedInput }, data: function () { // Define properties which will use in the widget return { radix: 'decimal', value: 15 } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onOpen: function () { // Do something... this.$refs.formattedinput.selectFirst(); } } }</script> <style></style>
FormattedInput Example
<template> <div> <JqxFormattedInput ref="myFormattedInput" :width="200" :height="25" :radix="'decimal'" :spinButtons="false" :value="330000" :decimalNotation="'exponential'"> </JqxFormattedInput> <div style="margin-top: 20px"> <JqxButton style="float: left" @click="getDecimal()" :width="185">Get Decimal Value</JqxButton> <JqxButton style="margin-left: 5px; float: left" @click="getExponential()" :width="185">Get Exponential Notation</JqxButton> <br /> <br /> <JqxButton style="float: left" @click="getScientific()" :width="185">Get Scientific Notation</JqxButton> <JqxButton style="margin-left: 5px; float: left" @click="getEngineering()" :width="185">Get Engineering Notation</JqxButton> </div> </div></template> <script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxFormattedInput, JqxButton }, methods: { getDecimal: function () { let decimalValue = this.$refs.myFormattedInput.val('decimal'); alert('Decimal Value: ' + decimalValue); }, getExponential: function () { let exponentialValue = this.$refs.myFormattedInput.val('exponential'); alert('Exponential Notation: ' + exponentialValue); }, getScientific: function () { let scientificValue = this.$refs.myFormattedInput.val('scientific'); alert('Scientific Notation: ' + scientificValue); }, getEngineering: function () { let engineeringValue = this.$refs.myFormattedInput.val('engineering'); alert('Engineering Notation: ' + engineeringValue); } } }</script> <style></style>